# class PointList

#### package js.html.svg

Available on HTML5

### Variables

###

`read onlylength:Int`

###

`read onlynumberOfItems:Int`

### Methods

###

`appendItem (newItem:Point):Point`

Throws:

`null` | DOMError

###

`clear ():Void`

Throws:

`null` | DOMError

###

`getItem (index:Int):Point`

Throws:

`null` | DOMError

###

`initialize (newItem:Point):Point`

Throws:

`null` | DOMError

###

`insertItemBefore (newItem:Point, index:Int):Point`

Throws:

`null` | DOMError

###

`removeItem (index:Int):Point`

Throws:

`null` | DOMError

###

`replaceItem (newItem:Point, index:Int):Point`

Throws:

`null` | DOMError